﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Sycamores.MobileShare.Client
{
    public partial class LabeledComboBox : UserControl
    {
        public LabeledComboBox()
        {
            InitializeComponent();
        }

        public string LabelText
        {
            get { return LabelCtrl.Text; }
            set { LabelCtrl.Text = value; }
        }

        public override string Text
        {
            get { return ComboBoxCtrl.Text; }
            set { ComboBoxCtrl.Text = value; }
        }

        public int SelectedIndex
        {
            get { return ComboBoxCtrl.SelectedIndex; }
            set { ComboBoxCtrl.SelectedIndex = value; }
        }

        public object SelectedItem
        {
            get { return ComboBoxCtrl.SelectedItem; }
            set {  ComboBoxCtrl.SelectedItem=value; }
        }

        public ComboBox.ObjectCollection  Items { get { return ComboBoxCtrl.Items; } }

        private void LabeledComboBox_GotFocus(object sender, EventArgs e)
        {
            this.ComboBoxCtrl.Focus();
        }
    }
}
