﻿using System;
using System.Windows.Forms;

namespace Sycamores.MobileShare.Client
{
    /// <summary>Base form for OK/Cancel edit forms.</summary>
    public partial class BinaryOperationForm : Form
    {
        /// <summary>Default constructor.</summary>
        public BinaryOperationForm() { InitializeComponent(); }

        /// <summary>OK.</summary>
        /// <param name="sender">Sender</param>
        /// <param name="e">Event arguments.</param>
        protected virtual void OkMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;

        }

        /// <summary>Cancel.</summary>
        /// <param name="sender">Sender</param>
        /// <param name="e">Event arguments.</param>
        protected virtual void CancelMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}