﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Xml.Linq;

namespace Sycamores.XFrameworkCF
{
    public abstract class ComplexTypeCollection<TValue, TEventArgs> : Entity, IList<TValue>
        where TValue : ComplexType
        where TEventArgs : EventArgs
    {
        private XElement mElement;

        protected XElement Element { get { return mElement; } }

        private IList<TValue> mList = new List<TValue>();

        protected ComplexTypeCollection(string nameSpace, XElement element)
            : base(nameSpace)
        {
            mElement = element;
        }

        public event EventHandler<TEventArgs> ItemRemoving;
        public event EventHandler<TEventArgs> ItemRemoved;

        protected IList<TValue> List
        {
            get { return mList; }
        }

        public abstract void Add(XName tag, TValue value);
        #region IList<TValue> Members

        public int IndexOf(TValue item)
        {
            throw new NotImplementedException();
        }

        public void Insert(int index, TValue item)
        {
            throw new NotImplementedException();
        }

        public void RemoveAt(int index)
        {
            throw new NotImplementedException();
        }

        public TValue this[int index]
        {
            get
            {
                throw new NotImplementedException();
            }
            set
            {
                throw new NotImplementedException();
            }
        }

        #endregion

        #region ICollection<TValue> Members

        public void Add(TValue item)
        {
            throw new NotImplementedException();
        }

        public void Clear()
        {
            throw new NotImplementedException();
        }

        public bool Contains(TValue item)
        {
            throw new NotImplementedException();
        }

        public void CopyTo(TValue[] array, int arrayIndex)
        {
            throw new NotImplementedException();
        }

        public int Count
        {
            get { throw new NotImplementedException(); }
        }

        public bool IsReadOnly
        {
            get { throw new NotImplementedException(); }
        }

        public bool Remove(TValue item)
        {
            throw new NotImplementedException();
        }

        #endregion

        #region IEnumerable<TValue> Members

        public IEnumerator<TValue> GetEnumerator()
        {
            throw new NotImplementedException();
        }

        #endregion

        #region IEnumerable Members

        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}